{% extends "dashboard/base.html" %}
{% load general_tags %}
{% load i18n %}
{% load bootstrap %}
{% load static %}

{% block stylesheet %}

<link href="{% static 'css/plugins/sweetalert/sweetalert.css' %}" rel="stylesheet">
<link href="{% static 'css/animate.css' %}" rel="stylesheet">
<link href="{% static 'css/style.css' %}" rel="stylesheet">

{% endblock stylesheet  %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Lista de Abet" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Planificación" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Lista de Abets" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}

<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title navy-bg">
                <h5 style="font-size:20px;">Abets Activas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
               <div class="row center-block">
                   <div class="col-md-11">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar abet">                       
                   </div>
                   <div class="col-md-1">
                        <a href="{% url 'planning_abet_add' %}" class="btn btn-primary btn-sm"><i class="fa  fa-plus"></i> Agregar</a>                       
                   </div>
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Titulo</th>
                            <th>Carrera</th>
                            <th>Fecha</th>
                            <th>Autor</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for abet in abets %}
                        {% if abet.carreer is not None %}
                         <tr>
                            <td class="col-md-3">{{abet.name}}</td>
                            <td class="col-md-2">{{abet.carreer}}</td>
                            <td class="col-md-2">{{abet.date}}</td>
                            <td class="col-md-2">{{abet.author.first_name}} {{abet.author.last_name}}</td>
                            <td class="col-md-3" style="text-align:left">
                                <a href="{% url 'planning_abet_details' abet.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href="{% url 'planning_abet_delete' abet.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
                                <button class="btn btn-warning btn-sm abet-deactivate" data-abetpk={{abet.pk}}><i class="fa fa-check"></i> Desactivar </button>
                            </td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title blue-bg">
                <h5 style="font-size:20px;">Mis Abets</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
               <div class="row center-block">
                   <div class="col-md-12">
                        <input type="text" class="form-control input-sm m-b-xs" id="filter" placeholder="Buscar rúbrica ">                       
                   </div>
               </div>
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Titulo</th>
                            <th>Fecha</th>
                            <th>Autor</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                       {% for abet in abets %}
                       {% if abet.author == request.user and abet.carreer is None %}
                        <tr>
                            <td class="col-md-3">{{abet.name}}</td>
                            <td class="col-md-2">{{abet.date}}</td>
                            <td class="col-md-3">{{abet.author.first_name}} {{abet.author.last_name}}</td>
                            <td class="col-md-4" style="text-align:left">
                                <a href="{% url 'planning_abet_details' abet.pk %}" class="btn btn-success btn-sm"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href="{% url 'planning_abet_delete' abet.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Eliminar </a>
                                <a type='btton' class='btn btn-sm btn-primary' data-toggle='modal' data-target='#modal_activate' data-abetpk={{abet.pk}}>
                                    Activar
                                    <i class='fa fa-check' style='color:white'></i>
                                </a>
                            </td>
                        </tr>
                        {% endif %}
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Modal Activacion -->
<div class="modal fade" id="modal_activate" tabindex="-1" role="dialog" aria-labelledby="activateModal">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header bg-primary">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                <h6 class="text-center">Activacion de ABET</h6>
            </div>
            <div class="modal-body">
                <h4> Elija la carrera a la que quiera asignar el ABET </h4>
                <hr>
                <div> {{form.carreer|bootstrap}} </div>
            </div>
            <hr>
            <div class="modal-footer bg-primary">
                <button type="button" class="btn btn-primary" data-dismiss="modal" id="accept_activation" >Aceptar</button>
            </div>
        </div>
    </div>
</div>
<!-- End Modal -->

{% endblock content %}

{% block javascript %}
<script>
    
$(document).ready(function() {
    
    $('.abet-deactivate').click(function () {
        var abetpk = $(this).data('abetpk');
        data = {
            abetpk: abetpk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
            };
        swal({
            title: "Esta por desactivar un ABET",
            text: "Se desvinculara el ABET de la carrera asignada, ¿esta seguro?",
            type: "warning",
            showCancelButton: true,
            confirmButtonColor: "#DD6B55",
            confirmButtonText: "Si, estoy seguro.",

        }, function () {
            $.post("{% url 'planning_abet_deactivate' %}", data,function(response){
                location.reload();
            })
        });
    });

    $('#modal_activate').on('show.bs.modal', function (event) {

        var button = $(event.relatedTarget) // Button that triggered the modal
            
        abet_pk = button.data('abetpk'); // Extract info from data-* attributes
        var modal = $(this);
        // moredata: 'moredata',
    });

    $('#accept_activation').on('click', function (event){
        var carreerpk = $('#id_carreer').val();
        data = {
            abet_pk: abet_pk,
            carreerpk: carreerpk,
            csrfmiddlewaretoken: '{{ csrf_token }}'
        };

        $.post("{% url 'planning_abet_activate' %}",data,function(response){
            location.reload();
        });
    });

});

</script>
{% endblock javascript %}
